index/urls.py
from django.urls import path
from . import views

app_name = 'index'

urlpatterns = [
    path('', views.index, name='index'),
]

story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story7.urls')),
    path('', include('story9.urls')),
    path('', include('index.urls')),
]

story7/urls.py
from django.urls import path
from . import views

app_name = 'story7'

urlpatterns = [
    path('accordion/', views.accordionView, name='accordion')
]

story9/urls.py
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('register/', views.registerView, name = 'register'),
    path('login/', views.loginView, name = 'loginPage'),
    path('logout/', views.logout, name = 'logout'),
]

index/models.py
from django.db import models

# Create your models here.

story7/models.py
from django.db import models

# Create your models here.

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django.forms import ModelForm
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

from django import forms

class RegistrationForm(UserCreationForm):
    class Meta:
        model = User

        fields = [
            'username',
            'email',
            'password1',
            'password2',
        ]

        widgets = {
            'username': forms.TextInput(attrs={'placeholder': 'Username'}),
            'email': forms.TextInput(attrs={'placeholder': 'Email'}),
            'password1': forms.PasswordInput(attrs={'placeholder': 'Password'}),
            'password2': forms.PasswordInput(attrs={'placeholder': 'Re-enter Password'}),
        }

index/views.py
from django.shortcuts import render

# Create your views here.

def index(request):
    context = {}
    return render(request, 'index.html', context)

story7/views.py
from django.shortcuts import render
from django.contrib.auth.decorators import login_required

# Create your views here.

@login_required(login_url='/login/')
def accordionView(request):
    return render(request, 'accordion.html')

story8/views.py
from django.shortcuts import render

# Create your views here.

story9/views.py
from django.shortcuts import render, redirect
from django.contrib import messages
from django.contrib.auth import authenticate, login
from django.contrib.auth import logout as django_logout
from .forms import RegistrationForm


def registerView(request):
	form = RegistrationForm()

	if request.method == 'POST':
		form = RegistrationForm(request.POST)
		if form.is_valid():
			form.save()
			user = form.cleaned_data.get('username')
			messages.success(request, 'Account was created for ' + user)

			return redirect('/login/')

	context = {'form':form}

	return render(request, 'register.html', context)

def loginView(request):

	if request.method == 'POST':
		username = request.POST.get('username')
		password = request.POST.get('password')

		user = authenticate(request, username=username, password=password)

		if user is not None:
			login(request, user)
			return redirect('/accordion/')
		else:
			messages.info(request, 'Username or Password is incorrect.')

	context = {}
	return render(request, 'login.html', context)

def logout(request):
	django_logout(request)
	return redirect('/login/')

index/templates/index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Home</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	<link rel="stylesheet" href="{% static 'style.css' %}">
{% endblock meta %}



{% block content %}

{% include 'navbar.html' %}

<div class="wrapper">
    <div class="container">
        <div class="row" style="padding: 20px; background-color: #525174; color: white; border-radius: 10px;">
            <div class="col-md-4 sol-sm-6" style="margin: auto;">
                <a href="/accordion/" style=" text-decoration: none; color: white;">
                    <h4 style="color: white; text-align: center;">
                        Accordion
                    </h4>
                </a>
                
            </div>
        </div>
        <br>
        <div class="row" style="padding: 20px; background-color: #525174; color: white; border-radius: 10px;">
            <div class="col-md-4 col-sm-6" style="margin: auto;">
                <a href="/login/" style="text-decoration: none; color: white;">
                    <h4 style="color: white; text-align: center;">
                        Login
                    </h4>
                </a>
            </div>
        </div>

    </div>
</div>

{% endblock content %}

story7/templates/accordion.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	<link rel="stylesheet" href="{% static 'style.css' %}">

    <title>Accordion</title>
    {% endblock meta %}



    {% block content %}

    {% include 'navbar.html' %}

    <div class="container">
        <div class="wrapper" id="accordion">

            <div class="panel">
                <div class="panel-heading">
                    <button class="btn" type="button" data-parent="#accordion" data-toggle="collapse" data-target="#collapse1" aria-expanded="false" aria-controls="collapse1">
                        <h5>
                           Ngapain aja sih?
                        </h5>
                    </button>
                    <div class="accordion-buttons col-2 d-flex justify-content-flex selected">
                        <div class="button-up">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-up" type="button" id="button-up" data-parent="#accordion"></button>
                        </div>
                        <div class="button-down">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-down" type="button" id="button-down" data-parent="#accordion"></button>
                        </div>
                    </div>
                </div>
                <div class="panel-collapse collapse" id="collapse1">
                    <div class="panel-body">
                        Dalam kehidupannya, Aji suka bla bla bla ...
                    </div>
                </div>
            </div>
    
            <div class="panel">
                <div class="panel-heading">
                    <button class="btn" type="button" data-parent="#accordion" data-toggle="collapse" data-target="#collapse2" aria-expanded="false" aria-controls="collapse2">
                        <h5>
                           Kesibukan yang menyibukkan.
                        </h5>
                    </button>
                    <div class="accordion-buttons col-2 d-flex justify-content-flex selected">
                        <div class="button-up">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-up" type="button" id="button-up" data-parent="#accordion"></button>
                        </div>
                        <div class="button-down">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-down" type="button" id="button-down" data-parent="#accordion"></button>
                        </div>
                    </div>
                </div>
                <div class="panel-collapse collapse" id="collapse2">
                    <div class="panel-body">
                        Huft, kalo sekarang Aji lagi sibuk kuliah, kepanitiaan, dan organisasi
                    </div>
                </div>
            </div>

            <div class="panel">
                <div class="panel-heading">
                    <button class="btn" type="button" data-parent="#accordion" data-toggle="collapse" data-target="#collapse3" aria-expanded="false" aria-controls="collapse3">
                        <h5>
                           Hall of Fame.
                        </h5>
                    </button>
                    <div class="accordion-buttons col-2 d-flex justify-content-flex selected">
                        <div class="button-up">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-up" type="button" id="button-up" data-parent="#accordion"></button>
                        </div>
                        <div class="button-down">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-down" type="button" id="button-down" data-parent="#accordion"></button>
                        </div>
                    </div>
                </div>
                <div class="panel-collapse collapse" id="collapse3">
                    <div class="panel-body">
                        Not Available (just yet).
                    </div>
                </div>
            </div>

            <div class="panel">
                <div class="panel-heading">
                    <button class="btn" type="button" data-parent="#accordion" data-toggle="collapse" data-target="#collapse4" aria-expanded="false" aria-controls="collapse4">
                        <h5>
                           Stay connected!
                        </h5>
                    </button>
                    <div class="accordion-buttons col-2 d-flex justify-content-flex selected">
                        <div class="button-up">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-up" type="button" id="button-up" data-parent="#accordion"></button>
                        </div>
                        <div class="button-down">
                            <button class="btn btn-default up glyphicon glyphicon-chevron-down" type="button" id="button-down" data-parent="#accordion"></button>
                        </div>
                    </div>
                </div>
                <div class="panel-collapse collapse" id="collapse4">
                    <div class="panel-body">
                        <a href="http://instagram.com/mahdialig">
                            instagram
                        </a>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <script src="{% static 'accordion.js' %}"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

    {% endblock content %}

story9/templates/login.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Login</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	<link rel="stylesheet" href="{% static 'style.css' %}">
{% endblock meta %}



{% block content %}

{% include 'navbar.html' %}

<div class="container h-100">
    <div class="d-flex justify-content-center h-100">
        <div class="user_card" style="margin: 0; position: absolute; top: 50%; -ms-transform: translateY(-50%); transform: translateY(-50%); border-radius: 10px;padding: 5%; background-color: #A1CDCE;">
            <div class="d-flex justify-content-center">


                <h3 id="form-title" style="color: black;"><b>Login</b></h3>
            </div>
            <div class="d-flex justify-content-center form_container">
                <form method="POST" action="">
                    {% csrf_token %}
                    <div class="input-group mb-3">
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="text" name="username" placeholder="Username" class="form-control">
                    </div>
                    <div class="input-group mb-2">
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fas fa-key"></i></span>
                        </div>
                            <input type="password" name="password" placeholder="Password" class="form-control" >
                    </div>

                        <div class="d-flex justify-content-center mt-3 login_container">
                             <input class="btn login_btn" type="submit" value="Login" style="color: white;">
                           </div>
                </form>

            </div>

            {% for message in messages %}
                <p style="background-color: grey; color: white; padding: 10px; margin-top: 10px;">{{message}}</p>
            {% endfor %}
    
            <div class="mt-4">
                <div class="d-flex justify-content-center links">
                    Don't have an account? <a href="/register/" class="ml-2">Sign Up</a>
                </div>
        
            </div>
        </div>
    </div>
</div>

{% endblock content %}

story9/templates/register.html
{% extends 'base.html' %}
{% load static %}



{% block meta %}
<title>Register</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	<link rel="stylesheet" href="{% static 'style.css' %}">
{% endblock meta %}



{% block content %}

{% include 'navbar.html' %}

<div class="container h-100">
	<div class="d-flex justify-content-center h-100">
		<div class="user_card" style="margin: 0; position: absolute; top: 50%; -ms-transform: translateY(-50%); transform: translateY(-50%); border-radius: 10px;padding: 5%; background-color: #A1CDCE;">
			<div class="d-flex justify-content-center">
				<h3 id="form-title" style="color: black;"><b>Register</b></h3>
			</div>
			<div class="d-flex justify-content-center form_container">

				<form method="POST" action="">
					{% csrf_token %}
					<div class="input-group mb-3">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-user"></i></span>
						</div>
						{{form.username}}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
						</div>
						{{form.email}}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-key"></i></span>
						</div>
						{{form.password1}}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-key"></i></span>
						</div>
						{{form.password2}}
					</div>

					   <div class="d-flex justify-content-center mt-3 login_container">
						 <input class="btn login_btn" type="submit" value="Register Account" style="color: white;">
					   </div>
				</form>
			</div>

			{{form.errors}}

			<div class="mt-4">
				<div class="d-flex justify-content-center links" >
					Already have an account? <a href="/login/" class="ml-2"><b>Login</b></a>
				</div>
			</div>

		</div>
	</div>
</div>

<script src="{% static 'reg.js' %}"></script>

{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  {% block content %}
  {% endblock content %}
</body>

</html>

templates/navbar.html
{% load static %}

<style>
    #hello-msg {

    }
</style>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="/">hmm</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarText">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="/">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/accordion/">Accordion</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/login/">Login</a>
        </li>
      </ul>
      <span id="hello-msg">
          Hello, {{request.user}}
      </span>
      <span>
          <a href="{% url 'story9:logout' %}">Logout</a>
      </span>
    </div>
  </nav>